List Storage Credentials

get https://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name/credentials

Returns the list of Storage Credentials for this Storage instance. Any secret data will be sanitized in the response.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
storage_name string Required

Response

200 A list of Storage Credentials
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsCredentialSchemaGetRequired
A list of credentials
Show 2 propertiesHide 2 properties
metadataobjectSasTokenMetadataSchemaRequired
Metadata about the credential.
Show 7 propertiesHide 7 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
idstringRequiredformat: uuid
The ID of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectRequired
The specification of the credential.
Show 3 variantsHide 3 variants

Discriminated by type. Select one variant:

Microsoft.StorageobjectAzureCredentialSpecRead
credentialobjectAzureCredentialReadRequired
The credential for the Azure Storage Account
Show 3 propertiesHide 3 properties
sasTokenstringRequiredpattern: ^\?([a-z]+=[^&]+)(&[a-z]+=[^&]+)+$
SAS Token for Azure Storage Account, including leading ?
signedExpirystringRequiredformat: date-time
The expiry time of the token.
signedStartstring or nullRequiredformat: date-time
The start time of the token.
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
AWS.S3objectAWSCredentialSpec
credentialobjectAWSCredentialRequired
The credential for the AWS S3 bucket.
Show 2 propertiesHide 2 properties
accessKeyIdstringRequiredpattern: ^A[KS]IA[0-9A-Z]{16}$
The access key ID for the bucket.
secretAccessKeystringRequiredpattern: ^[A-Za-z0-9+/=]{40}$
The secret access key for the bucket.
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
Google.StorageobjectGoogleCredentialSpec
credentialobjectGoogleCredentialRequired
The credential for the Google Storage bucket.
Show 1 propertyHide 1 property
gacmap from strings to stringRequired
Google Application Credentials in JSON format.
You can generate this from the command line with gcloud iam service-accounts keys create key.json --iam-account=<service_account>@<project>.iam.gserviceaccount.com
Or download it from the GCP console.
Show value schemaHide value schema
[any key]string
typeenum or nullRequired
The type of the credential.
Allowed values:Microsoft.StorageAWS.S3Google.Storage

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code